package alive;

/**
 * <ALIVE Project>
 * ViewWindow start class
 * By Rogerio Neves
 * LSI - POLI - USP
 */

public class NeuralNet {
  double w[][][] = null;
  int i, j, k;
  public double input[] = null;
  double output[] = null;
  public int inputs, outputs, layers;
  public double eTax =.1;

  public NeuralNet(int layers, int inputs, int outputs) {
    this.layers = layers+1;
    this.inputs = inputs+1;
    this.outputs = outputs+1;
    w = new double[layers][inputs][inputs];
    input = new double[inputs];
    output = new double[outputs];
    for (i=0; i<layers; i++)
      for (j=0; j<inputs; j++)
        for (k=0; k<inputs; k++)
          w[i][j][k] = 0;

  }

  public void increase(int input, int output) {

  }
  public void decrease(int input, int aouput) {

  }
  public double[] outputs(double in[]) {
    return output;
  }
}